Description

I have tested it on 3 PCs with Windows 7 64. Straight after install of QGIS 2.2 I was able to run GRASS commands and SAGA tools in

processing toolbox. After restart all GRASS and SAGA tools come up with error "missing dependency" and no matter I set in options and

configuration. I can run saga from C:\\OSGeo4W64\\apps\\saga without problems. Both GUI and cmd.

History

#1 - 2014-03-01 04:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

paths to applications can be mixed up if you install both the standalone and osgeo4w versions of qgis. Is this the case?

I just tested by installing osgeo4w from scratch and no issues after closing and restarting qgis. Some thing after wiping configurations (with regedit) and

installing the standalone.

#2 - 2014-03-01 04:52 AM - Giovanni Manghi

- Subject changed from SAGA and GRASS in toolbox missing dependency in OSGeo4W64 to SAGA and GRASS: "missing dependency" error in 

OSGeo4W64

- Category set to 94

#3 - 2014-03-01 05:11 AM - Miroslav Umlauf

Yes it can be the case. I have tested install osgeo4w64 on my fresh Windows 7 64b at home and all is working also after restarts (except orfeo toolbox but

that is not working from start with "OTB folder is not configured"). First I thought I did it on fresh install before but on second thought I am not that sure now.

At least in one case there was desktop version before and possibly on other computers too. And even if I did it on fresh install of Windows 7 we have

network profiles so there can be some rests in user folder anyway.

#4 - 2014-03-03 04:23 PM - Miroslav Umlauf

OK, now I am lost. I have completely uninstalled all QGIS on Windows 7 64bit. I have deleted folders C:\\OSGeo4W and C:\\OSGeo4W64. I have deleted

C:\\users\\user\\.qgis2. I started regedit and deleted whole HKEY_CURRENT_USER/Software/QGIS. I have used ccleaner and to make sure one other

software to clean registry. What else I need to delete so I can start clean install and so repair missing dependency? Because all mentioned above didn't fix

the problem and after reinstall it is the same story again. And the toolbox still remember the tool I succesfuly used when first time checked after first fresh

install in the Recently used algorithms.
#5 - 2014-03-04 12:41 AM - Giovanni Manghi

Miroslav Umlauf wrote:

OK, now I am lost. I have completely uninstalled all QGIS on Windows 7 64bit. I have deleted folders C:\\OSGeo4W and C:\\OSGeo4W64. I have

deleted C:\\users\\user\\.qgis2. I started regedit and deleted whole HKEY_CURRENT_USER/Software/QGIS. I have used ccleaner and to make

sure one other software to clean registry. What else I need to delete so I can start clean install and so repair missing dependency?

that is weird

And the toolbox still remember the tool I succesfuly used when first time checked after first fresh install in the Recently used algorithms.

so after all the cleaning above, when you re-install the toolbox still show you the tools you used in the "Recently used algorithms" section?

#6 - 2014-03-04 01:15 AM - Miroslav Umlauf

Yep. As it is on saga_03.png. I just found out it must have something to do with my network user profile because I have just logged in locally as different

user and successfully run saga tools under that user account on the same computer.

#7 - 2014-03-05 12:57 AM - Giovanni Manghi

Miroslav Umlauf wrote:

I just found out it must have something to do with my network user profile because I have just logged in locally as different user and successfully run

saga tools under that user account on the same computer.

so it seems you have just found your issue(?)

#8 - 2014-03-05 01:08 AM - Miroslav Umlauf

Not really. It is now only more localized. It has definitely something to do with user profile. Unfortunately I can't simply delete my network profile and create

new one to reset QGIS settings because there are many other things I would lose. So I need to find out what else except C:\\users\\user\\.qgis2 and

HKEY_CURRENT_USER/Software/QGIS in registry must be deleted to reset all QGIS (osgeo4w64) user settings.

#9 - 2014-03-05 01:11 AM - Giovanni Manghi

Miroslav Umlauf wrote:

Not really. It is now only more localized. It has definitely something to do with user profile. Unfortunately I can't simply delete my network profile and

create new one to reset QGIS settings because there are many other things I would lose. So I need to find out what else except

C:\\users\\user\\.qgis2 and HKEY_CURRENT_USER/Software/QGIS in registry must be deleted to reset all QGIS (osgeo4w64) user settings.

ok.

as in a normal (local) qgis installation all works as expected, would you mind edit the title/description to better fit this new findings? thanks.
#10 - 2014-03-05 02:09 AM - Miroslav Umlauf

Yes. Obviously it doesn't have to do anything with the new installation. The problem is leftovers after older installations in user profile (user folder, user

registry or both).

would you mind edit the title/description to better fit this new findings

Can't find the way to change title or anything else in major post, probably don't have rights to do that, sorry.

#11 - 2014-03-05 11:34 AM - Giovanni Manghi

Miroslav Umlauf wrote:

Yes. Obviously it doesn't have to do anything with the new installation. The problem is leftovers after older installations in user profile (user folder,

user registry or both).

would you mind edit the title/description to better fit this new findings

Can't find the way to change title or anything else in major post, probably don't have rights to do that, sorry.

I can change it if necessary. I guess anyway that now we have to figure if there is a real issue or not. If there isn't we can close this.

#12 - 2014-05-08 01:03 AM - Paolo Cavallini

- Assignee set to Victor Olaya

#13 - 2014-05-20 01:54 AM - Miroslav Umlauf

Ok, the problem is definitely caused by Windows network user profiles. I asked two other people to install QGIS and test it and same problem: "missing

dependency". On the same computers when logged in locally all the tools works as it should.

#14 - 2014-05-20 01:55 AM - Giovanni Manghi

- Subject changed from SAGA and GRASS: "missing dependency" error in OSGeo4W64 to SAGA and GRASS: "missing dependency" error when 

logged using "Windows network user profiles"

- Status changed from Feedback to Open

#15 - 2015-02-04 06:17 AM - Janos Meszaros

Could you find any solution for this problem? Because looking on the description of the problem, it seems to me that my current challenge with my QGIS

2.6.1 install is exactly the same.

#16 - 2015-02-04 07:16 AM - Miroslav Umlauf

If I need to use toolbox I have to run QGIS as (local) different user (shift + right click). Of course this way I loose chance to use my plugins which are saved

under my user profile, can't do drag & drop with files etc. Still I found it better than logout and login... I have also second computer which I remotely use with

local user account and possibly in future will make that machine my primary for QGIS work if this issue won't be fixed.
#17 - 2015-02-04 11:12 AM - Janos Meszaros

Unfortunately, in my case a local user can't use GRASS and SAGA algorithms from processing toolbox on Win7 64bit. I always get a "Missing

dependency" warning but those software is configured automatically using OSGeo4W installer what I prefer). It's strange that installation of new version of

SAGA (2.1.2) caused the problem on my notebook.

I hope the 2.8 version will solve this issue.

#18 - 2015-02-05 02:07 AM - Giovanni Manghi

Janos Meszaros wrote:

Unfortunately, in my case a local user can't use GRASS and SAGA algorithms from processing toolbox on Win7 64bit. I always get a "Missing

dependency" warning but those software is configured automatically using OSGeo4W installer what I prefer). It's strange that installation of new

version of SAGA (2.1.2) caused the problem on my notebook.

I hope the 2.8 version will solve this issue.

the network users issue is something that probably need to be addressed in Processing. The problem using the local user is usually a... local issue. It is not

unusual to find users that are mixing old configurations or versions of Processing and so they get the "Missing dependency" message. Please try, for

example, to temporarily rename your .qgis2 folder.

#19 - 2015-02-06 04:31 AM - Janos Meszaros

Thank you for your help, unfortunately it didn't help in my case. But...

I installed QGIS 2.6.1, GRASS GIS 6, SAGA 2.1.2, Orfeo Toolbox and GPSBabel software and depenedcies with OSGeo4w installer using advanced

mode -> No help

Therefore, I searched for the Processing plugin on the QGIS plugins website (https://plugins.qgis.org/plugins/processing/version/2.2.0-2/) and manually

downloaded a zip file, containing the most recent version (2.2.0-2). The original processing folder was deleted from

"C:\\OSGeo4W64\\apps\\qgis\\python\\plugins" and after that I unpacked zipped version. -> Voilá, it helped, everything is OK, I can use GRASS 6 and

SAGA 2.1.2 algorithms.

I don't know but maybe it can solve the network problem as well.

#20 - 2015-05-28 03:52 AM - Miroslav Umlauf

It turned out all problems were caused by our terrible network "group policy" where the security settings were blocking all these linked tools. So from my

point of view this can be closed.

#21 - 2015-05-28 04:01 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

#22 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
